<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Phantom Road</Series>
  <Number>1</Number>
  <Web>https://www.amazon.com/dp/B0BW1BT11W</Web>
  <Summary>SERIES PREMIERE

Dom is a long-haul truck driver attempting to stay ahead of his tragic past. When he stops one night to assist Birdie, who has been in a massive car crash, they pull an artifact from the wreckage that throws their lives into fifth gear. Suddenly, a typical midnight run has become a frantic journey through a surreal world where Dom and Birdie find themselves the quarry of strange and impossible monsters.

It’s grindhouse horror meeting high-concept supernatural fantasy in the first issue of a bold new series from JEFF LEMIRE (THE BONE ORCHARD MYTHOS, LITTLE MONSTERS) and GABRIEL HERNÁNDEZ WALTA (The Vision, Hellboy and the B.P.R.D: Old Man Whittier), the Eisner Award-nominated creative team behind the bestselling Sentient series.</Summary>
  <Notes>Scraped metadata from Amazon [ASINB0BW1BT11W]</Notes>
  <Publisher>Image</Publisher>
  <Genre>Fantasy, Horror, Supernatural/Occult</Genre>
  <PageCount>29</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
